Bug 46185 - VIEWING: Display of Non-Printing Characters is Wrong after Alignment Change
Summary: VIEWING: Display of Non-Printing Characters is Wrong after Alignment Change
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Formatting-Mark
  Show dependency treegraph
 
Reported: 2012-02-16 09:25 UTC by Harald Koester
Modified: 2021-01-16 04:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-02-16 09:25:48 UTC
Problem description: 

[1] Open new text document.
[2] Display Non-printing Characters.
[3] Insert some empty paragraphs.
[4] Insert a line break (Shift+Enter).
[5] Scroll down document until the first empty paragraph is no longer visible.
[6] Change the alignment of the last paragraph to right-aligned. The characters for “Line Break” and “End of Paragraph” are no longer visible. Expected: Visible at the end of the line !!
[7] Scroll down document until the last paragraph is above the working area and scroll back again.(first paragraph still above working area) Now the missed characters are visible.
[8] Change the alignment back to left-aligned: Now both characters are visible twice, at the beginning and at the end of the line. Expected: Visible only at the beginning of the line !!

If you format your page with 2 columns, the bug exists for both. By the way: If there is no space between columns, right aligned non-printing characters of the left column are visible not at all. Also a bug?

Bug already exists similar in Version 3.4.x.
            
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.26) Gecko/20120128 Firefox/3.6.26
Comment 1 Patrik Nilsson 2012-03-29 04:16:37 UTC
As of LibreOffice 3.5.1.2 (Build ID: dc9775d-05ecbee-0851ad3-1586698-727bf66) you can't get any non-printing characters to be displayed.

This worked in a previous release I used. I always use this function, so this is annoying.
Comment 2 sasha.libreoffice 2012-05-21 05:03:25 UTC
Thanks for bugreport
I am not sure that it is the same bug, but reproducible in 3.5.3 on Fedora 64 bit
Steps to reproduce:
0. Open new text document.
1. Display Non-printing Characters.
2. Press Ctrl-R
Expected: end-of-paragraph remains visible
Actually: disappears. But appears after adding new paragraph or scrolling page
Comment 3 Patrik Nilsson 2012-05-22 02:04:59 UTC
I use Debian 6.0.4 and after upgrading Libreoffice this function is completely gone visually. The button and menu settings still are there, but I have never seen any effect of them, not even for a blink of an eye (i.e. during redraw).

Sasha: I can't reproduce your effect at all.
Comment 4 sasha.libreoffice 2012-05-22 03:32:20 UTC
@ Patrik Nilsson
As I can understand:
1. Bug from comment 2 not reproducible
2. Bug from initial description still exist
I right understand or no?
Comment 5 Patrik Nilsson 2012-05-22 03:45:51 UTC
Sasha:

1) Bug from 2 can't be reproduced on Debian.
2) The initial bug still exists and got worse in the latest release. Now *no* non-printing characters are displayed.
Comment 6 sasha.libreoffice 2012-05-22 04:22:55 UTC
May be because of difference in Video and desktop. In my case it is Intel and KDE, also Windows 7 with Intel video.
Comment 7 Harald Koester 2012-06-23 09:45:34 UTC
Bug of comment 2 reproducible with Win 7 and LO 3.5.3.2.
Comment 8 Alexandr 2014-07-14 18:25:34 UTC
I reproduce both initial bug and comment 2 with LibreOffice 4.3.0.2 on Debian Jessie x86_64.
I belive this issue does not make work really harder in most cases, because the nonprinting characters return to normal state after scrolling. Hence I decrease severity.
Comment 9 QA Administrators 2015-07-18 17:43:10 UTC Comment hidden (obsolete)
Comment 10 Alexandr 2015-08-09 15:56:27 UTC
Reproducible with LibreOffice 4.4.5 and 5.0.0 on Debian Jessie.
Comment 11 QA Administrators 2016-09-20 10:21:31 UTC Comment hidden (obsolete)
Comment 12 Patrik Nilsson 2016-09-20 17:26:09 UTC
Does not exist in:

Version: 5.1.4.2
Build ID: 1:5.1.4-0ubuntu1
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8)
Comment 13 Harald Koester 2016-10-05 15:20:19 UTC
Checked with version 5.2.2 with Win7. Bug according initial description still exists in this version. Hence I set status back to NEW.
Comment 14 QA Administrators 2018-06-08 02:47:35 UTC Comment hidden (obsolete)
Comment 15 Harald Koester 2018-06-08 21:25:34 UTC
Bug respective initial report and comment 2 still exists (64 bit, Win 10).
Comment 16 Karsten 2019-01-16 11:28:24 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2021-01-16 04:17:21 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug